function varargout = allocation(varargin)
% ALLOCATION M-file for allocation.fig
%      ALLOCATION, by itself, creates a new ALLOCATION or raises the existing
%      singleton*.
%
%      H = ALLOCATION returns the handle to a new ALLOCATION or the handle to
%      the existing singleton*.
%
%      ALLOCATION('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in ALLOCATION.M with the given input arguments.
%
%      ALLOCATION('Property','Value',...) creates a new ALLOCATION or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before allocation_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to allocation_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Copyright 2002-2003 The MathWorks, Inc.

% Edit the above text to modify the response to help allocation

% Last Modified by GUIDE v2.5 25-Mar-2002 12:19:15

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @allocation_OpeningFcn, ...
                   'gui_OutputFcn',  @allocation_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before allocation is made visible.
function allocation_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to allocation (see VARARGIN)

% Choose default command line output for allocation
handles.output = hObject;
% load('matfiles\allocation')
load('matfiles\simFile')
load(filename)
% available frequencies
WLAN_usedFreqs = [];
WLAN_ch = str2num(WLANchText);
if ~isempty(WLAN_ch)
    WLAN_centerfreqs = 2412:5:2472;
    WLAN_SB = floor(17/2);
    WLAN_cf = WLAN_centerfreqs(WLAN_ch);
    WLAN_usedFreqs = (WLAN_cf-WLAN_SB):1:(WLAN_cf+WLAN_SB);
end

uicontrol(gcf, 'Style', 'text','Position', [10 250 90 10], 'String', 'ISM band-2400MHz+', 'FontSize', 6.5, 'HorizontalAlignment', 'right')
for i = 1:83
    uicontrol(gcf, 'Style', 'text','Position', [100+13*i 250 10 10], 'String', num2str(i), 'FontSize', 6.5)
end

% WLAN frequencies
uicontrol(gcf, 'Style', 'text','Position', [10 230 90 10], 'String', 'WLAN freqs', 'FontSize', 6.5, 'HorizontalAlignment', 'right')

if isempty(WLAN_usedFreqs)
else
    for i = WLAN_usedFreqs-2400
        uicontrol(gcf, 'Style', 'text','Position', [100+13*i 230 10 10], 'String', 'X', 'FontSize', 6.5)
    end
end

% WISA subband frequencies,corresponding uplink subband and used DL subbands

uicontrol(gcf, 'Style', 'text','Position', [10 210 90 10], 'String', 'WISA subbands', 'FontSize', 6.5, 'HorizontalAlignment', 'right')
uicontrol(gcf, 'Style', 'text','Position', [10 190 90 10], 'String', 'Uplink subbands', 'FontSize', 6.5, 'HorizontalAlignment', 'right')
uicontrol(gcf, 'Style', 'text','Position', [10 170 90 10], 'String', 'Used DL subbands', 'FontSize', 6.5, 'HorizontalAlignment', 'right')
counter = 0;
if isempty(sbMatrix)
else
    sbMatrix2 = sbMatrix-2400;
    for i = 1:size(sbMatrix2,1)
        for j = 1:size(sbMatrix2,2)
            uicontrol(gcf, 'Style', 'text','Position', [100+13*sbMatrix2(i,j) 210 10 10], 'String', num2str(i), 'FontSize', 6.5)
            if pairs(i)~= 0
                uicontrol(gcf, 'Style', 'text','Position', [100+13*sbMatrix2(i,j) 190 10 10], 'String', num2str(pairs(i)), 'FontSize', 6.5)
                counter = counter +1;
                if counter<=noOfSubbands*widthOfSubbands
                    uicontrol(gcf, 'Style', 'text','Position', [100+13*sbMatrix2(i,j) 170 10 10], 'String', 'X', 'FontSize', 6.5)
                end
            end
        end
    end
end

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes allocation wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = allocation_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;
