function [collisions, maxSucColls] = collisionCounter_v2(cell1_frequencies, cell2_frequencies)

    global P_UPLINK
    global NoOfUplinks
    global Period

    collisions = zeros(1,NoOfUplinks+1);
    maxSucColls = zeros(1,NoOfUplinks+1);
    
    for i = 1:NoOfUplinks+1
        sucColls = zeros(1,Period);
        for j = 1:NoOfUplinks+1
            % Calculate where the collisions are
            collisionsIndicator = (cell1_frequencies(i,:) == cell2_frequencies(j,:));
            if j==1
                collisions(i) = collisions(i)+sum(collisionsIndicator);
            else
                collisions(i) = collisions(i)+sum(collisionsIndicator)*P_UPLINK;
            end
            % Add collisions to between these two links to the wanted
            if (P_UPLINK > 0) | (j == 1) 
                sucColls = sucColls | collisionsIndicator;
            end
        end
        sucColls = int8(sucColls);
        I = find(collisionsIndicator==0,1,'first');
        if isempty(I)
            maxSucColls(i) = maxSucColls(i) + Period;
        else
            for k = 2:Period
                sucColls(k) = sucColls(k-1)*sucColls(k)+sucColls(k);
            end
            if I ~= 1
                sucColls(I-1) = sucColls(end)+sucColls(I-1);
            end
            maxSucColls(i) = max(sucColls);
        end
    end
return