function hs = galoisCalc(inPrime)

    primeNr = [2 3 2 5 7 2 3 11 13 2 17 19 23 5 3 29 31 2 37 41 43 47 7 53 59 61 2 67 71 73 79];
    powers = [1 1 2 1 1 3 2 1 1 4 1 1 1 2 3 1 1 5 1 1 1 1 2 1 1 1 6 1 1 1 1];
    allNumbers = primeNr.^powers;

    index = find(allNumbers==inPrime);
    
    p=primeNr(index);
    m=powers(index);

    if m>1
        tuple = gftuple([0:p^m-2]',m,p);
        matrisa = zeros(p^m-1, p^m-1);
        matrisa(1,:) = bi2de(tuple,p,'right-msb');
        for i = 2:p^m
            for j = 1:p^m-1
                matrisa(i,j) = bi2de(gfadd(tuple(j,:), tuple(i-1,:),p),p,'right-msb');
            end
        end
    else
        row = 0:p-1;
        table = ones(p,1)*row;
        matrisaTemp = gfmul(table,table',p);
        matrisa = matrisaTemp(2:end,:);
    end

hs = matrisa;
