global P_UPLINK
global NoOfUplinks
global Period
global fhAlgorithm
global clicked
global selected
percentageFinished='0';

% Paramteres
P_UPLINK = 0.1;
WLAN_channels = 0; % [1..13], 0 is off.
WLAN_BW = 17; % typical 11, 17 or 22MHz.
fhAlgorithm = 2; % 1: FH_02, 2: FH_07_01, 3: FH_07_02
NoOfUplinks = 4;
Period = 77;
clicked = 0;

load('matfiles\simVars')
P_UPLINK = sim_P_UPLINK;
WLAN_channels = sim_WLAN_channels;
WLAN_BW = sim_WLAN_BW;
fhAlgorithm = sim_fhAlgorithm;
filename = sim_filename; 

% Printing parameters to screen
disp('#################################################################')
disp(['Filename: ' filename])
if fhAlgorithm == 1
    fhAlgText = 'FH02';
elseif fhAlgorithm == 2
    fhAlgText = 'FH07 - 01';
elseif fhAlgorithm == 3
    fhAlgText = 'FH07 - 02';
else
    fhAlgText = 'Undefined';
end
disp(['Algorithm: ' fhAlgText])
WLANchText = '';
if fhAlgorithm ~= 1
    for i = 1:length(WLAN_channels)
        WLANchText = [WLANchText num2str(WLAN_channels(i))];
    end
    WLAN_BWText = num2str(WLAN_BW);
else
    WLANchText = 'N/A';
    WLAN_BWText = 'N/A';
end

disp(['WLAN channels: ' WLANchText])
disp(['WLAN interference bandwidth: ' WLAN_BWText ' MHz'])
disp('#################################################################')


if fhAlgorithm == 1
    hsFile = 'matfiles\fh_02';
    cellIds = 0:59;
    Period = 77;
    WLAN_usedFreqs = [];
    save('matfiles\allocation', 'WLAN_usedFreqs')
else
    % Remapping the allowed frequencies for WISA to subset of the original 79
    % frequency bands. Removing the frequencies used by WLAN, decided by the
    % WLAN_channel and the WLAN_BW.
    WISA_allowedfreqs = remapWISAfreqs(WLAN_channels, WLAN_BW);

    % Calculation of new Hopping Sequences and CellIDs.. Galois Field. 
    % WISA_cellIDs = computeCellIDs(WISA_allowedfreqs);
    cellIds = computeHoppingSequences(WISA_allowedfreqs);
    hsFile = 'matfiles\calcHS';
end    

collisionMatrix = zeros(length(cellIds)^2*(NoOfUplinks+1), Period);
maxSucCollsMatrix = zeros(length(cellIds)^2*(NoOfUplinks+1), Period);
cell_cell_Interference = zeros(length(cellIds)*(NoOfUplinks+1),length(cellIds));

rounds = 1;
% Corrolation between hopping sequences. 
for cellid_1 = cellIds
% for cellid_1 = 24
    [cell1_sbHS, cell1_indexHS] = cellHSAllocation(cellid_1, hsFile);
    for cellid_2 = cellIds
%     for cellid_2 = 59

        % "Loads" the hoppingsequences associated with the cellID.
        
        [cell2_sbHS, cell2_indexHS] = cellHSAllocation(cellid_2, hsFile);
        
        [cell1_sequence, cell2_sequence] = sequenceAllocation(cell1_sbHS, cell1_indexHS, cell2_sbHS, cell2_indexHS);
        
        collisions = zeros(Period,NoOfUplinks+1);
        maxSucColls = zeros(Period,NoOfUplinks+1);
        for FNshift=0:Period-1
            cell2_sequence_shifted = circshift(cell2_sequence,[0,FNshift]);
            [collisions(FNshift+1,:), maxSucColls(FNshift+1,:)] = collisionCounter_v2(cell1_sequence, cell2_sequence_shifted);
        end
        
        for k = 1:NoOfUplinks+1
            collisionMatrix(cellid_1*length(cellIds)*(NoOfUplinks+1)+cellid_2*(NoOfUplinks+1)+k,:) = collisions(:,k);
            maxSucCollsMatrix(cellid_1*length(cellIds)*(NoOfUplinks+1)+cellid_2*(NoOfUplinks+1)+k,:) = maxSucColls(:,k);
            cell_cell_Interference(cellid_1*(NoOfUplinks+1)+k,cellid_2+1) = sum(collisions(:,k));
        end
    end
    
    simFig = figure(simulation);
    simHandles = guidata(simFig);
    percentageFinished = num2str(floor(rounds/length(cellIds)*100));
    set(simHandles.button_simulate, 'String', ['Simulating... ' percentageFinished '% finished']);
    rounds = rounds +1;
end
save('matfiles\simFile', 'filename')
if fhAlgorithm ~= 1
    load('matfiles\calcHS')
else
    pairs = [4 5 6 7 1 2 3];
    noOfSubbands = 7;
    widthOfSubbands = 11;
    sbMatrix = [2403:2413; 2414:2424; 2425:2435; 2436:2446; 2447:2457; 2458:2468; 2469:2479];
end
save(filename, 'pairs', 'fhAlgorithm','noOfSubbands', 'widthOfSubbands', 'fhAlgText', 'WLANchText', 'WLAN_BWText', 'P_UPLINK',...
    'Period', 'cellIds', 'collisionMatrix', 'maxSucCollsMatrix', 'cell_cell_Interference', 'sbMatrix')

clear all