function WISA_remapped = remapWISAfreqs(WLAN_channel, WLAN_BW)
% Returns the set of allowed WISA frequencies which is a subset of the 79 original
% freqs.
    WLAN_centerfreqs = 2412:5:2472;
    WISA_centerfreqs = 2403:1:2479;
    if (WLAN_channel == 0)
       WISA_remapped = WISA_centerfreqs;
       WLAN_usedFreqs = [];
    else
        WLAN_SB = floor(WLAN_BW/2);
        WLAN_usedFreqs = 0;
        for i = 1:length(WLAN_channel)
            WLAN_cf = WLAN_centerfreqs(WLAN_channel(i));
            WLAN_usedFreqs = [WLAN_usedFreqs, (WLAN_cf-WLAN_SB):1:(WLAN_cf+WLAN_SB)];
        end
        remapLength = length(WISA_centerfreqs)-length(WLAN_usedFreqs);
        WISA_remapped_temp = zeros(1,length(WISA_centerfreqs));
        counter = 0;
        for i = 1:length(WISA_centerfreqs)
            if(~isempty(find(WLAN_usedFreqs == WISA_centerfreqs(i))))
            else
                counter = counter+1;
                WISA_remapped_temp(counter)=WISA_centerfreqs(i);
            end
        end
        WISA_remapped = WISA_remapped_temp(1:counter);
    end
    save('matfiles\allocation', 'WLAN_usedFreqs')
return