function [cell1_sequence, cell2_sequence] = sequenceAllocation(cell1sbHS, cell1indexHS, cell2sbHS, cell2indexHS)
    global NoOfUplinks
    global Period
    global fhAlgorithm
    
    cell1_sequence = zeros(NoOfUplinks+1,Period);
    cell2_sequence = zeros(NoOfUplinks+1,Period);
    HSLength = length(cell1sbHS);
    IndexLength = length(cell1indexHS);
    
    if fhAlgorithm == 1
        for FN = 0:Period-1
             cell1_sequence(1,FN+1) = cell1sbHS(mod(FN,HSLength)+1)*IndexLength + cell1indexHS(mod(FN,IndexLength)+1); 
             cell2_sequence(1,FN+1) = cell2sbHS(mod(FN,HSLength)+1)*IndexLength + cell2indexHS(mod(FN,IndexLength)+1); 
             if NoOfUplinks > 0
                 for i = 1:NoOfUplinks
                     cell1_sequence(i+1,FN+1) = cell1sbHS(mod(FN+3,HSLength)+1)*IndexLength + cell1indexHS(mod(FN+3*(i-1),IndexLength)+1);
                     cell2_sequence(i+1,FN+1) = cell2sbHS(mod(FN+3,HSLength)+1)*IndexLength + cell2indexHS(mod(FN+3*(i-1),IndexLength)+1);
                 end
             end
        end
    elseif fhAlgorithm == 2
        load('matfiles\calcHS')
        temp = find(pairs~=0);
        dlSubbands = temp(1:noOfSubbands);
        ulSubbands = pairs(dlSubbands);
        
        
        for FN = 0:Period-1
             cell1_sequence(1,FN+1) = sbMatrix(dlSubbands(cell1sbHS(mod(FN,HSLength)+1)+1), cell1indexHS(mod(FN,IndexLength)+1)+1);
             cell2_sequence(1,FN+1) = sbMatrix(dlSubbands(cell2sbHS(mod(FN,HSLength)+1)+1), cell2indexHS(mod(FN,IndexLength)+1)+1);
             if NoOfUplinks > 0
                 for i = 1:NoOfUplinks
                     if widthOfSubbands == 7
                         cell1_sequence(i+1,FN+1) = sbMatrix(ulSubbands(cell1sbHS(mod(FN,HSLength)+1)+1), (i-1)*2+1);
                         cell2_sequence(i+1,FN+1) = sbMatrix(ulSubbands(cell2sbHS(mod(FN,HSLength)+1)+1), (i-1)*2+1);
                     else 
                         if widthOfSubbands == 8 | widthOfSubbands == 9
                            ulSpread = 2;
                         else
                            ulSpread = 3;
                         end
                         cell1_sequence(i+1,FN+1) = sbMatrix(ulSubbands(cell1sbHS(mod(FN,HSLength)+1)+1), cell1indexHS(mod(FN+ulSpread*(i-1),IndexLength)+1)+1);
                         cell2_sequence(i+1,FN+1) = sbMatrix(ulSubbands(cell2sbHS(mod(FN,HSLength)+1)+1), cell2indexHS(mod(FN+ulSpread*(i-1),IndexLength)+1)+1);
                     end
                 end
             end
        end
    end
return